Page MenuHomePhabricator

EchoForeignWikiRequest emits PHP error "Undefined index: csrftoken"
Closed, ResolvedPublic

Description

Error

Request ID: W6FWgQrAAFEAAH2KCscAAABP

message
PHP Notice: Undefined index: csrftoken
stacktrace
#1 /srv/mediawiki/php-1.32.0-wmf.22/extensions/Echo/includes/ForeignWikiRequest.php(153): EchoForeignWikiRequest->getCsrfToken(string)
#2 /srv/mediawiki/php-1.32.0-wmf.22/extensions/Echo/includes/ForeignWikiRequest.php(134): EchoForeignWikiRequest->getQueryParams(string)
#3 /srv/mediawiki/php-1.32.0-wmf.22/extensions/Echo/includes/ForeignWikiRequest.php(36): EchoForeignWikiRequest->getRequestParams(string, array)
#4 /srv/mediawiki/php-1.32.0-wmf.22/extensions/Echo/includes/api/ApiCrossWiki.php(38): EchoForeignWikiRequest->execute()
#5 /srv/mediawiki/php-1.32.0-wmf.22/extensions/Echo/includes/api/ApiEchoNotifications.php(44): ApiEchoNotifications->getFromForeign()
#6 /srv/mediawiki/php-1.32.0-wmf.22/includes/api/ApiQuery.php(249): ApiEchoNotifications->execute()
#7 /srv/mediawiki/php-1.32.0-wmf.22/includes/api/ApiMain.php(1587): ApiQuery->execute()
#8 /srv/mediawiki/php-1.32.0-wmf.22/includes/api/ApiMain.php(531): ApiMain->executeAction()
#9 /srv/mediawiki/php-1.32.0-wmf.22/includes/api/ApiMain.php(502): ApiMain->executeActionWithErrorHandling()
#10 /srv/mediawiki/php-1.32.0-wmf.22/api.php(87): ApiMain->execute()

Notes

Seen in API queries from mediawiki.org.

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : wmf/1.32.0-wmf.22ApiCrossWiki: Handle needsToken() returning false
mediawiki/extensions/Echo : masterApiCrossWiki: Handle needsToken() returning false

Event Timeline

Krinkle created this task.Sep 18 2018, 7:50 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 18 2018, 7:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 461217 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/Echo@master] Specify the type of token when needed

https://gerrit.wikimedia.org/r/461217

SBisson assigned this task to Catrope.Sep 19 2018, 10:39 AM
SBisson edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
SBisson moved this task from Incoming to QA on the Growth-Team (Current Sprint) board.

Change 461217 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] ApiCrossWiki: Handle needsToken() returning false

https://gerrit.wikimedia.org/r/461217

Change 461363 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/Echo@wmf/1.32.0-wmf.22] ApiCrossWiki: Handle needsToken() returning false

https://gerrit.wikimedia.org/r/461363

greg triaged this task as Unbreak Now! priority.Sep 19 2018, 2:36 PM
greg added a subscriber: greg.

(Train blocker == UBN!)

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptSep 19 2018, 2:36 PM

Change 461363 merged by jenkins-bot:
[mediawiki/extensions/Echo@wmf/1.32.0-wmf.22] ApiCrossWiki: Handle needsToken() returning false

https://gerrit.wikimedia.org/r/461363

Mentioned in SAL (#wikimedia-operations) [2018-09-19T16:49:58Z] <sbisson@deploy1001> Synchronized php-1.32.0-wmf.22/extensions/Echo/includes/api/ApiCrossWiki.php: T204758 (duration: 00m 57s)

hashar closed this task as Resolved.Sep 19 2018, 6:36 PM
hashar added a subscriber: hashar.

It is gone from logstash. The last entry was at 2018-09-19T16:43:21 UTC.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM